List consents
List consents belonging to a client.
List consents belonging to a client.
Authorization
Token_header_Authorization AuthorizationBearer <token>
In: header
Query Parameters
end_user_idstring
The ID of the end user to list consents for.
activeboolean
Filter to include only active or inactive consents.
expires_beforestring
Optional RFC3339 timestamp. Only consents expiring before this time are returned.
page[before]string
When page[before] is specified, backwards pagination is achieved.
page[after]string
When page[after] is specified, forwards pagination is achieved.
page[size]integer
When page[size] is specified, no more than page[size] resources will be included in the response. It is capped at 1000.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/consent"{ "consents": [ { "account_ids": [ "string" ], "active": true, "app_logo": "string", "app_name": "string", "arrangement_id": "string", "created_at": "string", "duration": 0, "end_user_email": "string", "end_user_id": "string", "expires_at": "string", "institution_id": "string", "institution_logo": "string", "institution_name": "string", "institution_type": "string", "last_accessed": "string", "last_consent": "string", "permissions": [ "string" ], "termination_reason": "string" } ], "links": { "next": "string", "prev": "string" }}{ "id": "string", "message": "string", "name": "string"}{ "id": "string", "message": "string", "name": "string"}